Subject: Re: Secdir early review of draft-ietf-anima-autonomic-control-plane-13

From: Toerless Eckert <[email-masked]>
Date: Mon, 23 Jul 2018 23:15:59 +0200

Hi Frank,

Mea maxima culpa. Your -13 review below was probably overlooked by me
when integrating all received feeedbac from -13 into 14/15/16, although
it looks more as if i did fix most of the stuff from your review but then
forgot to send a reply.

This is integretated into -17, i didn't push a new version up, but
you can check it at:

https://raw.githubusercontent.com/anima-wg/autonomic-control-plane/master/draft-ietf-anima-autonomic-control-plane/draft-ietf-anima-autonomic-control-plane-17.txt

Replies inline below

Cheers
    Toerless

On Fri, Feb 23, 2018 at 07:28:05PM -0800, Liang Xia wrote:
> Reviewer: Liang Xia
> Review result: Has Issues
> 
> In general, this document is well-written and considers security issues
> carefully throughout the whole architecture.

Thanks!
> 
> nits:
> Abstract: /or not misconfigured/or misconfigured/

Was fixed n -16.

> the fifth paragraph of section 6.1: the last ")" is redundant, therefore can be
> deleted

Fixed.

> some section titles don't comply the rule of starting from a capital letter

Hmm.. checked -13 and -16 but could not find anything besides:

(-16) A.3.3.2 mDNS and ...
  This starts with small letter because "mDNS" is a unique name with a lower letter,
  i think this is correct. If we're unsure, RFC editor would be best to resolve later on.
(-16) Titles are all draft names and this section will be removed anyhow for RFC.

> section 6.5
> /("IP security", see [RFC4301] and "Internet Key Exchange protocol version 2",
> see [RFC7296]
> /("IP security", see [RFC4301] and "Internet Key Exchange protocol version 2",
> see [RFC7296])/

What change do you suggest, looks identical ?

> suggestion:
> all the Figures (e.g., Figure 1,2...) should have a title for explanation

Done in -16.

> section 2, please update the last paragraph to reference RFC8174 to indicate
> that lowercase versions of the keywords are not normative

Done in -16.

> Section 11 (Security Considerations) Since section 9.2 has described the
> self-protection properties of ACP well, it may be useful in this section to
> mention them as a whole.

Hmm.. Didn't want to reiterate too much text that is already written out
in the document, but instead inserted a reference to section 9.2 into the
security section.